Skip to main content
`Ctrl`+`K`

# MatSeqAIJGetArrayWrite

gives write-only access to the array where the data for a `MATSEQAIJ` matrix is stored

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJGetArrayWrite(Mat A, PetscScalar *array[])

Not Collective; No Fortran Support

## Input Parameter

- A - a `MATSEQAIJ` matrix

## Output Parameter

- array - pointer to the data

## See Also

Matrices, `Mat`, `MatSeqAIJGetArray()`, `MatSeqAIJRestoreArrayRead()`

## Level

intermediate

## Location

src/mat/impls/aij/seq/aij.c

## Implementations

MatSeqAIJGetArrayWrite_SeqAIJKokkos() in src/mat/impls/aij/seq/kokkos/aijkok.kokkos.cxx
MatSeqAIJGetArrayWrite_SeqAIJCUSPARSE() in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
MatSeqAIJGetArrayWrite_SeqAIJHIPSPARSE() in src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.cxx
MatSeqAIJGetArrayWrite_SeqAIJViennaCL() in src/mat/impls/aij/seq/seqviennacl/aijviennacl.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages